Redmine - Defect #38256

Redmine 5.0.4 version sometimes doesn't send mail notifications
2023-02-08 14:15 - lliyan Petrov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 5.0.4

Description

Redmine doesn’t send notifications to the assigned users or change their status. This occurs sometimes. There are no issues in the
production log or smtp settings and server.

History

#1 - 2024-01-22 14:58 - Marius BALTEANU

- Status changed from New to Needs feedback

Which is your queue adapter? The default one that is using the memory to store the queues could generate this kind of issues.

#2 - 2024-01-29 10:48 - lliyan Petrov
Marius BALTEANU wrote in #note-1:

Which is your queue adapter? The default one that is using the memory to store the queues could generate this kind of issues.

Hello,

thank you for youre response.

I don’t know exactly what you mean as "queue adapter", but I've solved the issue. The issue was very complicated to be catch caused sometimes the
dns requests going to failed with "time out" therefore there is no connection with SMTP server.

Appologies for miss my feedback.

#3 - 2024-01-29 18:15 - Marius BALTEANU
- Status changed from Needs feedback to Closed

- Resolution set to Invalid
Thanks for your feedback, closing this!
"queue adapter" is the queue backend system used by Redmine to schedule async jobs, like email sending. Using the default in-memory adapter is

not recommended for a production environment because you can lost the jobs in some cases, like after a service restart. | guide about Sidekiq,
recommended backend: SidekigConfiguration.
https://www.redmine.org/projects/redmine/wiki/SidekiqConfiguration
